﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Praktikum2
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            listBoxMaterial.Items.Add(Material.PUR);
            listBoxMaterial.Items.Add(Material.Beton);
            listBoxMaterial.Items.Add(Material.Holz);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Einfachschicht a = new Einfachschicht(new Material("PUR"), 0.1);
            Einfachschicht b = new Einfachschicht(new Material("Beton"), 0.2);
            Einfachschicht c = new Einfachschicht(new Material("Holz"), 0.3);
            Mehrfachschicht z = new Mehrfachschicht();
            z.FügeSchichtHinzu(c);
            z.FügeSchichtHinzu(b);
            Mehrfachschicht d = new Mehrfachschicht();
            d.FügeSchichtHinzu(a);
            d.FügeSchichtHinzu(z);
            d.FügeSchichtHinzu(b);
            Mehrfachschicht f = new Mehrfachschicht();
            f.FügeSchichtHinzu(a);
            f.FügeSchichtHinzu(d);
            f.FügeSchichtHinzu(c);
            f.FügeSchichtHinzu(d);
            f.FügeSchichtHinzu(b);
            f.FügeSchichtHinzu(d);
            f.Zeichne(zeichenfläche, 0, 0, zeichenfläche.ActualWidth, zeichenfläche.ActualHeight);
            labelUWert.Content = Math.Round(d.BestimmeU(), 1) + " W/m²K";
        }

        private void buttonErzeugeEinfachschicht_Click(object sender, RoutedEventArgs e)
        {
            if(listBoxMaterial.SelectedIndex < 0)
            {
                return;
            }
            Material m = (Material)listBoxMaterial.SelectedItem;

            double d = 0.0;
            try
            {
                d = double.Parse(textBoxDicke.Text);
            }
            catch
            {
                return;
            }

            Einfachschicht es = new Einfachschicht(m, d);
            listBoxSchichten.Items.Add(es);
        }


    }
}
